
/**
 * Tests the three different kinds of accounts.
 * 
 * @author JP Vergara
 * @version 1.0
 */
public class AccountsTester
{
   public static void main( String args[] )
   {
       BankAccount a1 = new BankAccount();
       BankAccount a2 = new BankAccount( 100.00 );
       SavingsAccount a3 = new SavingsAccount();
       SavingsAccount a4 = new SavingsAccount( 10 ); // 10% interest rate
       CheckingAccount a5 = new CheckingAccount();
       CheckingAccount a6 = new CheckingAccount( 200 );
       
       a1.deposit( 300 );
       a2.deposit( 300 );
       a3.deposit( 300 );
       a4.deposit( 300 );
       a5.deposit( 300 );
       a6.deposit( 300 );
       
       a3.addInterest();
       a4.addInterest();
       
       a5.withdraw( 10 );
       a5.withdraw( 10 );
       a5.withdraw( 10 );
       a6.withdraw( 15 );
       a6.withdraw( 15 );
       a5.deductFees();
       a6.deductFees();
       
       System.out.printf( "a1 balance: %7.2f\n", a1.getBalance() );
       System.out.printf( "a2 balance: %7.2f\n", a2.getBalance() );
       System.out.printf( "a3 balance: %7.2f\n", a3.getBalance() );
       System.out.printf( "a4 balance: %7.2f\n", a4.getBalance() );
       System.out.printf( "a5 balance: %7.2f\n", a5.getBalance() );
       System.out.printf( "a6 balance: %7.2f\n", a6.getBalance() );
   }
}
